Cert Utils Functions(3)

NAME
Cert Utils Functions -

  Functions

globus_result_t globus_gsi_cert_utils_get_eec (STACK_OF(X509)*cert_chain, X509 **eec)
globus_result_t globus_gsi_cert_utils_get_identity_cert (STACK_OF(X509)*cert_chain, X509 **identity_cert)

Detailed Description

A generic set of utility functions for manipulating OpenSSL objects, such as X509 certificates.

Function Documentation

  globus_result_t globus_gsi_cert_utils_get_eec (STACK_OF(X509)*cert_chain, X509 **eec)

Get the end-entity certificate associated with a certificate chain.

Parameters:
    cert_chain Certificate chain to inspect.
    eec Pointer to be set to the EEC value from within the cert chain. Must freed by the caller.

References GLOBUS_GSI_CERT_UTILS_ERROR_DETERMINING_CERT_TYPE, and GLOBUS_GSI_CERT_UTILS_TYPE_EEC.

  globus_result_t globus_gsi_cert_utils_get_identity_cert (STACK_OF(X509)*cert_chain, X509 **identity_cert)

Get the identity-providing certificate associated with a certificate chain. This may be an independent proxy or a end-entity certificate.

Parameters:
    cert_chain Certificate chain to inspect.
    identity_cert Pointer to be set to the certificate value from within the cert chain. Must freed by the caller.

References GLOBUS_GSI_CERT_UTILS_ERROR_DETERMINING_CERT_TYPE, GLOBUS_GSI_CERT_UTILS_TYPE_EEC, and GLOBUS_GSI_CERT_UTILS_TYPE_INDEPENDENT_PROXY.

Author

Generated automatically by Doxygen for globus gsi cert utils from the source code.